# esp32_BNO08x: BNO08xCbParamRptID Class Reference

Loading...
Searching...
No Matches
BNO08xCbParamRptID Class Reference

Class to hold callback functions which are passed report ID as input parameter. More...

`#include <BNO08xCbParamRptID.hpp>`

Inheritance diagram for BNO08xCbParamRptID:
[legend]
Collaboration diagram for BNO08xCbParamRptID:
[legend]

## Public Member Functions

| BNO08xCbParamRptID (std::function< void(uint8_t)> cb_fxn, uint8_t rpt_ID)
void | invoke (uint8_t rpt_ID) override
| Invokes contained callback function.
Public Member Functions inherited from BNO08xCbGeneric
virtual | ~BNO08xCbGeneric ()=default

## Private Attributes

std::function< void(uint8_t)> | cb_fxn
| Wrapped callback function passed at register_cb().

## Additional Inherited Members

Public Attributes inherited from BNO08xCbGeneric
uint8_t | rpt_ID
Protected Member Functions inherited from BNO08xCbGeneric
| BNO08xCbGeneric (uint8_t rpt_ID)

## Detailed Description

Class to hold callback functions which are passed report ID as input parameter.

Class to hold callback functions with void input parameters.

## Constructor & Destructor Documentation

## BNO08xCbParamRptID()

BNO08xCbParamRptID::BNO08xCbParamRptID | ( | std::function< void(uint8_t)> | cb_fxn,
|  | uint8_t | rpt_ID )

inline

## Member Function Documentation

## invoke()

void BNO08xCbParamRptID::invoke | ( | uint8_t | rpt_ID | ) |

inlineoverridevirtual

Invokes contained callback function.

Parameters

  rpt_ID | Report ID to be passed to contained callback.

Returns
  void, nothing to return

Implements BNO08xCbGeneric.

## Member Data Documentation

## cb_fxn

std::function<void(uint8_t)> BNO08xCbParamRptID::cb_fxn

private

Wrapped callback function passed at register_cb().

The documentation for this class was generated from the following file:

- include/callback/BNO08xCbParamRptID.hpp